Bug 114751 - used before set && too few arguments
Summary: used before set && too few arguments
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-02 11:31 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 23:13:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-02 11:31:21 UTC
Description of problem:

I just tried to compile package krb5-1.3.1-6 from Redhat
Fedora Core 1.

The compiler said

1.

keytab.c(123): remark #592: variable "context" is used before its
value is set

The offending source code is 

    krb5_context          context;
    krb5_keyblock       * master_key;
    krb5_error_code       kerror = 0;
    krb5_key_data       * key_data;
    krb5_db_entry         db_entry;
    krb5_boolean          more = 0;
    int                   n = 0;
    int xrealm_tgt = is_xrealm_tgt(context, principal);

Suggest init context before first use.

2.

gss-server.c(615): warning #165: too few arguments in function call

The offending source code is

                 sign_server(s, server_creds);

but

static int sign_server(s, server_creds, export)
     int s;
     gss_cred_id_t server_creds;
     int export;
{

Suggest add third parameter. Suggest also use ISO C function
declaration, not fifteen year old K & R style.

static int sign_server( int s, gss_cred_id_t server_creds, int export)
{



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Marcin Garski 2004-12-20 23:13:47 UTC
Thank you for the bug report. However this bugs should be reported
upstream (and fixed by MIT krb5 developers) so everyone could use
fixed version (not just Fedora Core users).

First bug is already fixed in krb5 CVS, second bug is already fixed in
1.3.6 version.


Note You need to log in before you can comment on or make changes to this bug.